name: test-conda-env-py3
channels:
- conda-forge
- defaults
dependencies:
- git
- scipy
- conda-forge::numpy
- conda-forge::sympy
- pocl
- islpy
- pyopencl
- python=3
- symengine=0.3.0
- python-symengine=0.3.0
- pyfmmlib
- cython

- pip
- pip:
    - git+https://gitlab.tiker.net/inducer/boxtree
    - git+https://github.com/inducer/pymbolic
    - git+https://github.com/inducer/loopy
    - git+https://gitlab.tiker.net/inducer/sumpy
    - git+https://github.com/inducer/meshmode
